// #name = Client.cs
// #version = 1.0
// #author = Grinder
// #description = Includes Support Functions for ClientTraking.

package ClientTrak
{

function getManagerId() {

	return $managerId;
}

function getManagerName() {

	return $managerName;
}

function getManagerTeam()
{
  return $managerTeam;
}

function getManagerTeamId()
{
  return $managerTeamId;
}

function handleObjectiveClientJoin(%msgType, %msgString, %clientName, %clientId, %targetId, %isAI, %isAdmin, %isSuperAdmin, %isSmurf, %guid) {

	if(StrStr(%msgString, "Welcome to Tribes") != -1) {
 
     $managerName = detag(%clientName);
     $managerId = %clientId;
 }
}

function handleObjectiveClientJoinTeam(%msgType, %msgString, %clientName, %teamName, %clientId, %teamId)
{
  if(getManagerId() $= %clientId) {
  
     $managerTeam = detag(%teamName);
     $managerTeamId = %teamId;
  }
}

function DispatchLaunchMode()
{
 	addMessageCallback('MsgClientJoin', handleObjectiveClientJoin);
	addMessageCallback('MsgClientJoinTeam', handleObjectiveClientJoinTeam);
 
    parent::DispatchLaunchMode();
}

};

activatePackage(ClientTrak);
